Page MenuHomeFreeBSD

New port: x11-fonts/tamzen: Monospace bitmap font forked from Tamsyn
ClosedPublic

Authored by voidanix_420blaze.it on Dec 6 2018, 3:05 PM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

tobik requested changes to this revision.Dec 6 2018, 3:50 PM

Some comments below.

And a disclaimer that even a positive review is not a promise to commit something. You should always also open a PR on https://bugs.freebsd.org (if you haven't already) to get this into the patch queue.

head/x11-fonts/tamzen/Makefile
16

If you properly set DISTVERSIONPREFIX=Tamzen- instead of GH_TAGNAME below, this wouldn't be necessary.

18–22

Wrong place in the Makefile. See 15. Order of Variables in Port Makefiles.

head/x11-fonts/tamzen/pkg-plist
3

These are not vt(4) fonts. Probably they are Windows Font Files.

Please do not add them, if you have not tested loading them.

This revision now requires changes to proceed.Dec 6 2018, 3:50 PM
mat added inline comments.Dec 6 2018, 4:24 PM
head/x11-fonts/tamzen/Makefile
39

Add blank line between targets.

voidanix_420blaze.it marked an inline comment as done.

Attemp fixes

tobik added inline comments.Dec 7 2018, 6:43 AM
head/x11-fonts/tamzen/Makefile
9

But "for the console" is no longer true now?

22

OPTIONS_SUB isn't needed anymore now.

24–25

Both NO_BUILD and NO_ARCH are standard bsd.port.mk variables, so they are not really in the correct position here.

tobik accepted this revision.Dec 7 2018, 4:16 PM
This revision is now accepted and ready to land.Dec 7 2018, 4:16 PM

@tobik is there any way I can get this port committed? I can't commit this yet :p

mat added a comment.Dec 16 2018, 12:55 PM

@tobik is there any way I can get this port committed? I can't commit this yet :p

This tool, here, Phabricator, is a code review tool, not a patch queue for things to be committed, which is what Bugzilla is for.
If you are not a committer, or do not plan to commit it yourself, it is best to always open a PR on our bugzilla in parallel so that the change actually goes in our pipeline.

In D18451#396062, @mat wrote:

@tobik is there any way I can get this port committed? I can't commit this yet :p

This tool, here, Phabricator, is a code review tool, not a patch queue for things to be committed, which is what Bugzilla is for.
If you are not a committer, or do not plan to commit it yourself, it is best to always open a PR on our bugzilla in parallel so that the change actually goes in our pipeline.

I asked about the port being committed as I've opened a PR on Bugzilla a few days ago as well, here.
Sorry for the noise anyways.

This revision was automatically updated to reflect the committed changes.